Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::Location Struct Reference

Aggregates 2D co-ordinates of a location in a single structure. More...

`#include <Types.h>`

List of all members.

## Public Member Functions

| Location ()
| Location (uint32_t a, uint32_t b)
| Construct location from x and y.
bool | operator== (const Location &other) const

## Public Attributes

uint32_t | x
uint32_t | y

## Detailed Description

Aggregates 2D co-ordinates of a location in a single structure.

Definition at line 529 of file Types.h.

## Constructor & Destructor Documentation

Argus::Location::Location | ( |  | ) |

inline

Definition at line 534 of file Types.h.

Argus::Location::Location | ( | uint32_t | a,
|  | uint32_t | b
| ) |  |

inline

Construct location from x and y.

Definition at line 537 of file Types.h.

## Member Function Documentation

bool Argus::Location::operator== | ( | const Location & | other | ) | const

inline

Definition at line 539 of file Types.h.

## Member Data Documentation

uint32_t Argus::Location::x

Definition at line 531 of file Types.h.

uint32_t Argus::Location::y

Definition at line 532 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h